- rel.2: allow ssl build on AC - changed sha256 to sha1 (less secure but AC-branch auto/ac/vsftpd-2_3_2-2
authorPaweł Gołaszewski <blues@pld-linux.org>
Tue, 28 Dec 2010 16:39:20 +0000 (16:39 +0000)
committercvs2git <feedback@pld-linux.org>
Sun, 24 Jun 2012 12:13:13 +0000 (12:13 +0000)
  still ok and working)

Changed files:
    vsftpd-switch_sha256_to_sha1.patch -> 1.1
    vsftpd.spec -> 1.76

vsftpd-switch_sha256_to_sha1.patch [new file with mode: 0644]
vsftpd.spec

diff --git a/vsftpd-switch_sha256_to_sha1.patch b/vsftpd-switch_sha256_to_sha1.patch
new file mode 100644 (file)
index 0000000..c9dddfa
--- /dev/null
@@ -0,0 +1,11 @@
+--- ./ssl.c.org        2009-10-19 04:34:08.000000000 +0200
++++ ./ssl.c    2010-12-28 17:33:27.730241842 +0100
+@@ -608,7 +608,7 @@ ssl_cert_digest(SSL* p_ssl, struct vsf_s
+   str_reserve(p_str, EVP_MAX_MD_SIZE);
+   str_empty(p_str);
+   str_rpad(p_str, EVP_MAX_MD_SIZE);
+-  if (!X509_digest(p_cert, EVP_sha256(), (unsigned char*) str_getbuf(p_str),
++  if (!X509_digest(p_cert, EVP_sha1(), (unsigned char*) str_getbuf(p_str),
+                    &num_bytes))
+   {
+     die("X509_digest failed");
index 8ea1256f15db271335c5396931a4a5b3b59b2e50..f3f88db5503452f9b3326dfbca8f9bcea2e9a7c9 100644 (file)
@@ -1,5 +1,4 @@
 ### TODO:
-# - fix ssl build on AC
 # - default config does not work with inetd configuration
 #
 %define                _ftpdir /home/services/ftp
@@ -11,7 +10,7 @@ Summary(pl.UTF-8):    Bardzo Bezpieczny Demon FTP
 Summary(pt_BR.UTF-8):  vsftpd - Daemon FTP Muito Seguro
 Name:          vsftpd
 Version:       2.3.2
-Release:       1
+Release:       2
 License:       GPL v2
 Group:         Daemons
 Source0:       ftp://vsftpd.beasts.org/users/cevans/%{name}-%{version}.tar.gz
@@ -25,10 +24,15 @@ Source5:    %{name}.init
 Patch0:                %{name}-builddefs.patch
 Patch1:                %{name}-amd64-findlibs.patch
 Patch2:                %{name}-clamav.patch
+Patch3:                %{name}-switch_sha256_to_sha1.patch
 URL:           http://vsftpd.beasts.org/
 BuildRequires: libcap-devel
 BuildRequires: libwrap-devel
+%if "%{pld_release}" == "ac"
+BuildRequires: openssl-devel >= 0.9.7d
+%else
 BuildRequires: openssl-devel >= 0.9.8
+%endif
 BuildRequires: rpmbuild(macros) >= 1.268
 Requires:      %{name}-init = %{version}-%{release}
 Requires:      filesystem >= 3.0-11
@@ -91,6 +95,9 @@ Ten pakiet pozwala na wystartowanie vsftpd jako samodzielnego demona.
 %if %{with clamav}
 %patch2 -p1
 %endif
+%if "%{pld_release}" == "ac"
+%patch3 -p1
+%endif
 
 %build
 %{__make} \
This page took 0.136283 seconds and 4 git commands to generate.